for i in "$@"; do
- if [[ ! -f ${i/JPG/MOV} ]]; then
+ if [[ ! -f ${i/JPG/MOV} ]] && [[ ! -f ${i/JPG/3gp} ]]; then
if [[ $(stat --printf=%s $i) -lt ${archive_size_min} ]]; then
echo "Image $i is too small."
for i in "$@"; do
- ref=${i/MOV/JPG}
+ base=${i/%.???/}
+
+ if [[ -f ${base}.JPG ]]; then ref=${base}.JPG; fi
+ if [[ -f ${base}.jpg ]]; then ref=${base}.jpg; fi
+ if [[ -f ${base}.jpeg ]]; then ref=${base}.jpeg; fi
+
+ echo "ref=${ref}"
if [[ -f ${ref} ]]; then
alias chmod='chmod -c'
alias cp='cp -i'
alias rd=rmdir
-alias md=mkdir
+alias md='mkdir -v'
alias ps='ps uxaf'
alias df='df -hT --sync'
alias grep='grep -E --mmap'
eval $(dircolors "${HOME}/.dircolors")
alias ls='ls --color'
# alias ll='ls --color -lth'
+ alias lt='ls --color -gohtr --time-style="+%Y %b %d %H:%M"'
alias ll='ls --color -goh --time-style="+%Y %b %d %H:%M"'
alias l='ls --color -I "*~" -I "*.o"'
alias less='less -R'
else
# alias ll='ls -lth'
+ alias lt='ls -gohtr --time-style="+%Y %b %d %H:%M"'
alias ll='ls -goh --time-style="+%Y %b %d %H:%M"'
alias l='ls -I "*~" -I "*.o"'
fi
# Create a dir and cd there
function mcd () {
- mkdir -p $1
+ mkdir -vp $1
cd $1
}
function ripdvd () {
mkdir -p ${HOME}/dvds
cd ${HOME}/dvds
- dvdbackup -v -M
- eject
+ dvdbackup -v -M && eject
}
######################################################################
NB=0
for i in $(find -maxdepth 1 -type f); do
- if [[ -e ${DEST_DIR}/$i ]]; then
- echo "The file ${DEST_DIR}/$i already exists."
- else
-
- orientation=$(exif $i \
- | grep ^Orientation \
- | head -1 \
- | sed -e "s/^[^|]*|//" \
- | sed -e "s/ *$//")
-
- case ${orientation} in
- "top - left")
- rotation_cmd=""
- ;;
-
- "right - top")
- rotation_cmd="-rotate 90"
- ;;
-
- "left - bottom")
- rotation_cmd="-rotate 270"
- ;;
-
- *)
- rotation_cmd=""
- echo "Unknown orientation \"${orientation}\" !"
- ;;
- esac
-
- if [[ -f ${i/JPG/MOV} ]]; then
- CAPTION_PARAMS="-font vera-sans -pointsize 24 -fill white -annotate +10+32 Video"
+ if [[ $(file $i | grep image) ]]; then
+ if [[ -e ${DEST_DIR}/$i ]]; then
+ echo "The file ${DEST_DIR}/$i already exists."
else
- CAPTION_PARAMS=""
+
+ orientation=$(exif $i \
+ | grep ^Orientation \
+ | head -1 \
+ | sed -e "s/^[^|]*|//" \
+ | sed -e "s/ *$//")
+
+ case ${orientation} in
+ ""|"top - left")
+ rotation_cmd=""
+ ;;
+
+ "right - top")
+ rotation_cmd="-rotate 90"
+ ;;
+
+ "left - bottom")
+ rotation_cmd="-rotate 270"
+ ;;
+
+ *)
+ rotation_cmd=""
+ echo "Unknown orientation \"${orientation}\" !"
+ ;;
+ esac
+
+ if [[ $(file ${i/%.*/}.* | grep -E movie) ]] ; then
+ CAPTION_PARAMS="-font FreeSans-Bold -pointsize 32 -fill green -annotate +10+32 Video"
+ else
+ CAPTION_PARAMS=""
+ fi
+
+ convert ${rotation_cmd} $i ${PARAMS} ${CAPTION_PARAMS} ${DEST_DIR}/$i
fi
- convert ${rotation_cmd} $i ${PARAMS} ${CAPTION_PARAMS} ${DEST_DIR}/$i
+ \ls -lt ${DEST_DIR}/$i
fi
- \ls -lt ${DEST_DIR}/$i
+
NB=$((NB+1))
+
echo "$((NB*100/NB_TOTAL))% (${NB}/${NB_TOTAL})"
done
}
echo "Authentifying on ${DNS323_HOSTNAME}."
curl -s > /dev/null \
-L http://${DNS323_HOSTNAME}/goform/formLogin \
- -d "f_LOGIN_NAME=admin&f_LOGIN_PASSWD=${DNS323_ADMIN_PASSWORD}&f_login_type=0" || (echo "Failed." >&2 && exit 1)
+ -d "f_LOGIN_NAME=admin&f_LOGIN_PASSWD=${DNS323_ADMIN_PASSWORD}&f_login_type=0" \
+ || (echo "Failed." >&2 && exit 1)
already_authentified=1
fi
}
set -e
function usage () {
- echo "gma.sh [--body] [--from|--to|--fromto] <pattern> [<year>]"
+ echo "gma.sh [--body] [--subject|--from|--to|--fromto|--subject] <pattern> [<year>]"
}
RESULT_MBOX="/tmp/gma"
RE_PREFIX="^(From|To):.*"
;;
+ "--subject")
+ RE_PREFIX="^Subject:.*"
+ ;;
+
*)
if [[ ${PATTERN} ]]; then
if [[ ${FILE_PATTERN} ]]; then
}
function scan () {
+ echo
echo " Scanning ..."
iwconfig ${INTERFACE} ap off essid ""
iwlist ${INTERFACE} scan | \
e) # Selects essid + dhcp
SELECTED=$(get-selected-essid-ap)
ESSID=$(echo ${SELECTED} | cut -f 1 -d,)
- echo "Running DHCP on ${INTERFACE} for ESSID ${ESSID}."
+ echo "Running DHCP on ${INTERFACE} for ESSID \"${ESSID}\"."
iwconfig ${INTERFACE} ap auto essid "${ESSID}"
kill-dhcp
echo
SELECTED=$(get-selected-essid-ap)
ESSID=$(echo ${SELECTED} | cut -f 1 -d,)
AP=$(echo ${SELECTED} | cut -f 2 -d,)
- echo "Running DHCP on ${INTERFACE} for ESSID ${ESSID} and AP ${AP}."
+ echo "Running DHCP on ${INTERFACE} for ESSID \"${ESSID}\" and AP ${AP}."
iwconfig ${INTERFACE} ap ${AP} essid "${ESSID}"
kill-dhcp
echo
*" text"*)
# a2ps -B -R --columns=1 -f 8 -o ${tmp} ${arg}
- a2ps --user-option=lp -o ${tmp} ${arg}
+ a2ps --media=A4 --user-option=lp -o ${tmp} ${arg}
;;
*"gzip compressed"*)